#ifndef __ECORE_XCB_REQUEST_H__
#define __ECORE_XCB_REQUEST_H__

#include <X11/XCB/xcb.h>

typedef XCBVoidCookie Ecore_Xcb_Generic_Cookie;
typedef XCBConnection Ecore_Xcb_Connection;
typedef XCBGenericError Ecore_Xcb_Generic_Error;

typedef void *(*Ecore_Xcb_Reply_Func) (Ecore_Xcb_Connection      *c,
                                       Ecore_Xcb_Generic_Cookie   cookie,
                                       Ecore_Xcb_Generic_Error  **e);

void ecore_xcb_request_init (int request_count);
int ecore_xcb_request_add (Ecore_Xcb_Generic_Cookie *cookie,
                           Ecore_Xcb_Reply_Func      reply_function);
void *ecore_xcb_request_poll (int id);
void ecore_xcb_request_flush ();
void ecore_xcb_request_shutdown ();


#endif /* __ECORE_XCB_REQUEST_H__ */

