#include <stdio.h>

#include <X11/XCB/xcb.h>

#include "ecore_xcb_request.h"

extern XCBConnection *ecore_xcb_conn;
extern XCBWINDOW win;

unsigned int geom_request_id[1];

void
geometry_request ()
{
  XCBGetGeometryCookie cookie;
  XCBDRAWABLE draw;

  draw.window = win;
  cookie = XCBGetGeometry (ecore_xcb_conn, draw);
  geom_request_id[0] = ecore_xcb_request_add ((Ecore_Xcb_Generic_Cookie*)&cookie,
                                              (Ecore_Xcb_Reply_Func)XCBGetGeometryReply);
}

void
geometry_reply ()
{
  XCBGetGeometryRep *rep;

  rep = ecore_xcb_request_poll (geom_request_id[0]);
  printf ("pos  : (%d, %d)\n", rep->x, rep->y);
  printf ("size : %dx%d\n", rep->width, rep->height);
}
