#include <stdlib.h>
#include <stdio.h>

#include <X11/XCB/xcb.h>

#include "ecore_xcb_request.h"
#include "atom.h"
#include "geometry.h"

XCBConnection *ecore_xcb_conn;
XCBWINDOW win;

int
main ()
{
  XCBSCREENIter iter;
  XCBSCREEN *screen = NULL;
  CARD32 mask = 0;
  CARD32 values[2];
  XCBGenericEvent *e;
  int screen_nbr;

  ecore_xcb_request_init (4);

  ecore_xcb_conn = XCBConnect (NULL, &screen_nbr);

  iter = XCBConnSetupSuccessRepRootsIter (XCBGetSetup (ecore_xcb_conn));
  for (; iter.rem; --screen_nbr, XCBSCREENNext (&iter))
    if (screen_nbr == 0)
      screen = iter.data;

  if (!screen)
    {
      XCBDisconnect (ecore_xcb_conn);
      return -1;
    }

  win = XCBWINDOWNew (ecore_xcb_conn);
  mask |= XCBCWBackPixel |XCBCWEventMask;
  values[0] = screen->white_pixel;
  values[1] = ExposureMask | ButtonPressMask;
  XCBCreateWindow (ecore_xcb_conn,
 		   screen->root_depth,
		   win,
		   screen->root,
		   0, 0,
		   150, 150,
		   0,
		   InputOutput,
		   screen->root_visual,
		   mask, values);

  XCBMapWindow (ecore_xcb_conn, win);

  XCBSync (ecore_xcb_conn, 0);
  
  atom_request ();
  geometry_request ();
  
  atom_reply ();
  geometry_reply ();

  while (1)
    if ((e = XCBPollForEvent (ecore_xcb_conn, 0)))
      {
        switch (e->response_type)
          { 
          case XCBExpose:
            {
              printf ("expose\n");
              break;
            }
          case XCBButtonPress:
            {
              printf ("button\n");
              free (e);
              goto sortie;
              break;
            }
          }
        free (e);
      }
  
 sortie:
  XCBDisconnect (ecore_xcb_conn);

  ecore_xcb_request_shutdown ();

  return 0;
}
